Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezbzip2compressionhandler.php
Go to the documentation of this file.
1 <?php
20 class eZBZIP2Handler extends eZCompressionHandler
21 {
25 public function __construct()
26 {
27 parent::__construct( 'BZIP2', 'bz2' );
28 }
29
30 function doOpen( $filename, $mode )
31 {
32 }
33
34 function doClose()
35 {
36 }
37
38 function doRead( $uncompressedLength = false )
39 {
40 }
41
42 function doWrite( $data, $uncompressedLength = false )
43 {
44 }
45
46 function doFlush()
47 {
48 }
49
50 function compress( $source )
51 {
52 }
53
54 function decompress( $source )
55 {
56 }
57
58 function error()
59 {
60 }
61
62 function errorString()
63 {
64 }
65
66 function errorNumber()
67 {
68 }
69
71 public $WorkFactor;
72 public $BlockSize;
73 public $SmallDecompress;
74 }
75
76 ?>
eZBZIP2Handler
Handles files compressed with bzip2.
Definition: ezbzip2compressionhandler.php:21
eZBZIP2Handler\errorString
errorString()
Definition: ezbzip2compressionhandler.php:62
eZBZIP2Handler\error
error()
Definition: ezbzip2compressionhandler.php:58
eZBZIP2Handler\doWrite
doWrite( $data, $uncompressedLength=false)
Definition: ezbzip2compressionhandler.php:42
eZBZIP2Handler\__construct
__construct()
Definition: ezbzip2compressionhandler.php:25
eZBZIP2Handler\doOpen
doOpen( $filename, $mode)
Definition: ezbzip2compressionhandler.php:30
eZBZIP2Handler\compress
compress( $source)
Definition: ezbzip2compressionhandler.php:50
eZBZIP2Handler\doFlush
doFlush()
Definition: ezbzip2compressionhandler.php:46
eZBZIP2Handler\$SmallDecompress
$SmallDecompress
Definition: ezbzip2compressionhandler.php:73
eZBZIP2Handler\$WorkFactor
$WorkFactor
Definition: ezbzip2compressionhandler.php:71
eZBZIP2Handler\doRead
doRead( $uncompressedLength=false)
Definition: ezbzip2compressionhandler.php:38
eZBZIP2Handler\errorNumber
errorNumber()
Definition: ezbzip2compressionhandler.php:66
eZBZIP2Handler\decompress
decompress( $source)
Definition: ezbzip2compressionhandler.php:54
eZBZIP2Handler\$BlockSize
$BlockSize
Definition: ezbzip2compressionhandler.php:72
eZBZIP2Handler\doClose
doClose()
Definition: ezbzip2compressionhandler.php:34
eZCompressionHandler
Interface for file handlers using compression.
Definition: ezcompressionhandler.php:35
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.